Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.math
Class ComponentTransform

    java.lang.Object
      de.grogra.persistence.ShareableBase
          de.grogra.math.ComponentTransform

All Implemented Interfaces:
  Transform3D, Manageable, Shareable

    public class ComponentTransform

extends ShareableBase
implements Transform3D

Nested Class Summary
`static class` | `ComponentTransform.Type`

Field Summary
`static ComponentTransform.Type` | `$TYPE`
`static SCOType.Field` | `rotation$FIELD`
`static SCOType.Field` | `scale$FIELD`
`static SCOType.Field` | `shear$FIELD`
`static SCOType.Field` | `translation$FIELD`

Constructor Summary
`ComponentTransform()`
`ComponentTransform(Matrix3d m)`
`ComponentTransform(Matrix4d m)`
`ComponentTransform(Tuple3d t)`

Method Summary
`ManageableType` | `getManageableType()`
`Vector3d` | `getRotation()`
`Vector3d` | `getScale()`
`Vector3d` | `getShear()`
`Vector3d` | `getTranslation()`
`void` | `setRotation(Vector3d value)`
`void` | `setScale(Vector3d value)`
`void` | `setShear(Vector3d value)`
`void` | `setTranslation(Vector3d value)`
`void` | `transform(Matrix4d in, Matrix4d out)` This methods performs a local coordinate transformation.

Methods inherited from class de.grogra.persistence.ShareableBase
`addReference, appendReferencesTo, fieldModified, getProvider, getStamp, initProvider, manageableReadResolve, manageableWriteReplace, removeReference`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface de.grogra.persistence.Manageable
`fieldModified, getStamp, manageableReadResolve, manageableWriteReplace`

Field Detail

### $TYPE

    public static final ComponentTransform.Type $TYPE

### rotation$FIELD

    public static final SCOType.Field rotation$FIELD

### scale$FIELD

    public static final SCOType.Field scale$FIELD

### shear$FIELD

    public static final SCOType.Field shear$FIELD

### translation$FIELD

    public static final SCOType.Field translation$FIELD

Constructor Detail

### ComponentTransform

    public ComponentTransform()

### ComponentTransform

    @ConversionConstructor
    public ComponentTransform(Matrix3d m)

### ComponentTransform

    @ConversionConstructor
    public ComponentTransform(Matrix4d m)

### ComponentTransform

    @ConversionConstructor
    public ComponentTransform(Tuple3d t)

Method Detail

### getManageableType

    public ManageableType getManageableType()

  Specified by:
    `getManageableType` in interface `Manageable`

### getRotation

    public Vector3d getRotation()

### getScale

    public Vector3d getScale()

### getShear

    public Vector3d getShear()

### getTranslation

    public Vector3d getTranslation()

### setRotation

    public void setRotation(Vector3d value)

### setScale

    public void setScale(Vector3d value)

### setShear

    public void setShear(Vector3d value)

### setTranslation

    public void setTranslation(Vector3d value)

### transform

    public void transform(Matrix4d in,
                          Matrix4d out)

  Description copied from interface: `Transform3D`
  This methods performs a local coordinate transformation.

  Specified by:
    `transform` in interface `Transform3D`
  Parameters:
    `in` - the transformation matrix of the coordinate system of the parent
    `out` - the computed transformation is placed in here. May be the same reference as `in`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD